<!-- Non-search header -->
<section data-prop="normalHeader"
         class="msg-list-header msg-nonsearch-only"
         data-statuscolor="default"
         role="region">
  <header>
    <h1 id="folder-header" data-prop="folderLabel"
        class="msg-list-header-folder-label header-label">
      <div class="msg-list-header-folder-info p-pri">
        <span data-prop="folderNameNode"
            dir="auto"
            class="msg-list-header-folder-name"></span>
        <span data-prop="folderUnread"
            class="msg-list-header-folder-unread collapsed"></span>
      </div>
    </h1>
    <h2 class="msg-list-header-sync-label" data-prop="headerSyncLabel">
      <span data-prop="lastSyncedLabel"
          class="msg-last-synced-label"
          data-l10n-id="folder-last-synced-label"></span>
      <span data-prop="lastSyncedAtNode"
          class="msg-last-synced-value"></span>
      <span class="msg-synchronizing-label" data-l10n-id="synchronizing">Synchronizing...</span>
      <span class="msg-outbox-unsent-label collapsed" data-prop="msgUnsentLabel"></span>
      <span class="msg-never-sync-label collapsed"
            data-prop="msgNeverSync"
            data-l10n-id="never-sync">Never sync</span>
    </h2>
  </header>
</section>
<!-- Multi-edit state header -->
<section data-prop="editHeader"
         class="msg-listedit-header collapsed" role="region">
  <header>
    <h1 class="msg-listedit-header-label">
      <div class="msg-listedit-header-info">
        <span class="msg-list-edit-header-name"
              data-prop="editHeaderNode"></span>
      </div>
    </h1>
    <h2 data-prop="headerNode" class="msg-listedit-selected-label"></h2>
  </header>
</section>
<!-- Search header -->
<section role="region" data-prop="searchHeader"
         class="msg-search-header msg-search-only">
 <header>
    <h1 class="cmp-compose-header-label search-title" data-l10n-id="message-search-header"></h1>
    <h2 class="cmp-compose-header-label search-result" data-prop="searchResult"></h2>
 </header>
 <ul class="filter-container">
      <li data-prop="filterType" class="filter-selector focusable"></li>
 </ul>
  <li class="search-input-li focusable" data-prop="searchInputLi">
    <input data-prop="searchInput" data-event="input:onSearchTextChange"
           type="text" required="required" class="msg-search-text"
           autocorrect="off"
           inputmode="verbatim"
           x-inputmode="verbatim"
           dir="auto"
           data-l10n-id="message-search-input" />
  </li>
  <!-- Search filter switcher -->
  <header class="msg-search-controls-bar collapsed">
    <ul role="tablist" class="bb-tablist filter" data-type="filter">
      <li role="presentation" class="msg-search-from msg-search-filter"
          data-filter="author" data-filter-name="search-author">
        <a data-l10n-id="message-search-from" role="tab"
          aria-selected="false"></a></li>
      <li role="presentation" class="msg-search-to msg-search-filter"
          data-filter="recipients" data-filter-name="search-to">
        <a data-l10n-id="message-search-to" role="tab"
          aria-selected="false"></a></li>
      <li role="presentation" class="msg-search-subject msg-search-filter"
           data-filter="subject" data-filter-name="search-subject">
        <a data-l10n-id="message-search-subject" role="tab"
          aria-selected="false"></a>
      </li>
      <li role="presentation" class="msg-search-body msg-search-filter"
           data-filter="body" data-filter-name="search-body">
        <a data-l10n-id="message-search-body" role="tab"
          aria-selected="false"></a></li>
      <li role="presentation" class="msg-search-body msg-search-filter"
          data-filter="all" data-filter-name="search-all">
        <a data-l10n-id="message-search-all" role="tab"
          aria-selected="true"></a></li>
    </ul>
  </header>
</section>
<!-- Scroll region -->
<div data-prop="scrollContainer" class="msg-list-scrollouter">
  <!-- exists so we can force a minimum height -->
  <div class="msg-list-scrollinner">
    <!-- The search textbox hides under the lip of the messages.
         As soon as any typing happens in it, we push the search
         controls card. -->
    <form role="search" data-prop="searchBar"
          class="msg-search-tease-bar msg-nonsearch-only">
      <p>
        <input data-event="focus:onSearchButton"
               class="msg-search-text-tease" type="text"
               dir="auto"
               data-l10n-id="message-search-input" />
      </p>
    </form>
    <div data-prop="messagesContainer" class="msg-messages-container"
         role="listbox" aria-multiselectable="true">
    </div>
    <!-- maintain vertical space for the syncing/sync more div's
         regardless of their displayed status so we don't scroll them
         out of the way -->
    <div data-prop="syncContainer" class="msg-messages-sync-container">
      <p data-prop="syncingNode" class="msg-messages-syncing collapsed"
         role="progressbar" data-l10n-id="messages-syncing-progressbar">
        <span data-l10n-id="messages-syncing"></span>
      </p>
      <p data-prop="syncMoreNode" data-index="0"
         data-event="click:onGetMoreMessages"
         class="msg-header-item msg-messages-sync-more"
         role="button">
        <span data-l10n-id="messages-load-more"></span>
      </p>
    </div>

    <div data-nav-id="jumpToHead" style="display: none"></div>
    <div data-nav-id="jumpToTail" style="display: none"></div>
  </div>
</div>
<!-- New email notification bar -->
<div class="message-list-topbar"></div>
<!-- Conveys background send, plus undo-able recent actions -->
<div class="msg-activity-infobar hidden">
</div>
<!-- Toolbar for non-multi-edit state -->
<ul data-prop="normalToolbar" class="bb-tablist msg-list-action-toolbar"
    role="toolbar">
  <li role="presentation" class="msg-nonsearch-only">
    <button data-prop="refreshBtn" data-event="click:onRefresh"
            class="icon msg-refresh-btn" data-state="synchronized"
            data-l10n-id="messages-refresh-button">
    </button>
  </li>
  <li role="presentation" class="collapsed">
    <button data-prop="editBtn" data-event="click:setEditModeStart"
            class="icon msg-edit-btn" data-l10n-id="edit-button"></button>
  </li>
</ul>

<!-- Toolbar for multi-edit state -->
<ul data-prop="editToolbar"
    class="bb-tablist msg-listedit-action-toolbar collapsed"
    role="toolbar">
  <li role="presentation">
    <button data-prop="deleteBtn" data-event="click:onDeleteMessages"
            class="icon msg-delete-btn"
            data-l10n-id="message-delete-button"></button>
  </li>
  <li role="presentation">
    <button data-prop="starBtn" data-event="click:onStarMessages"
            class="icon msg-star-btn"
            data-l10n-id="message-star-button"></button>
  </li>
  <li role="presentation">
    <button data-prop="readBtn" data-event="click:onMarkMessagesRead"
            class="icon msg-mark-read-btn"
            data-l10n-id="message-mark-read-button"></button>
  </li>
  <li role="presentation">
    <button data-prop="moveBtn" data-event="click:onMoveMessages"
            class="icon msg-move-btn"
            data-l10n-id="message-move-button"></button>
  </li>
</ul>

<div data-prop="messageEmptyContainer"
     class="msg-list-empty-container collapsed">
  <p data-prop="messageEmptyText"
     class="msg-list-empty-message-text"
     data-l10n-id="messages-folder-empty" tabindex="-1"></p>
</div>
